Skip to content
Navigation

Get record summary

GET
https://api.sureshake.com/v2/directory/{subjectType}/{slug}/record-summary

Authorization

  • BearerAuth
    optional
    HTTP

Path parameters

  • subjectType
    person
    or
    entity
    required
  • slug
    string
    required
    maxLength: 255 · minLength: 1

Returns

200

Default Response

JSON
  • data
    object
    required
    • listingId
      string
      required
      format: uuid
    • subjectType
      person
      or
      entity
      required
    • subjectId
      string
      or null
      required
    • claimStatus
      not_claimable
      or
      unclaimed
      or
      claim_pending
      or
      claimed
      required
    • verification
      object
      required
      • verified
        boolean
        required
      • verifiedAt
        string
        or null
        required
        format: date-time
    • reporting
      object
      required
      • reportsPublished
        integer
        required
        minimum: 0
      • publicReports
        integer
        required
        minimum: 0
      • reportingSince
        string
        or null
        required
        format: date-time
      • latestReportAt
        string
        or null
        required
        format: date-time
    • reportIndex
      array of
      object
      required
      • id
        string
        required
        format: uuid
      • title
        string
        required
      • publishedAt
        string
        required
        format: date-time
      • access
        public
        or
        permissioned
        required
    • viewer
      object
      or null
      required

      Present only for authenticated callers

      • following
        boolean
        required
      • accessStatus
        none
        or
        pending
        or
        active
        required
    • followers
      optional
      unknown
  • meta
    optional
    object
    • timestamp
      string
      required
      format: date-time

400

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

401

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

403

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

404

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

409

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

429

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

500

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

503

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

Type to search…

↑↓ navigate↵ selectEsc close